ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package util
  Definition Classes
    adam
- ADAMShell
- AttributeUtils
- FileExtensions
- GenomeFileReader
- IndexedFastaFile
- ParquetFileTraversable
- ParquetLogger
- PhredUtils
- ReferenceFile
- ReferenceMap
- ReferenceMapSerializer
- SequenceDictionaryReader
- TextRddWriter
- TwoBitFile
- TwoBitFileSerializer

o

org.bdgenomics.adam.util

# ADAMShell 

###

#### object ADAMShell

Utility methods for use in adam-shell.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMShell
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alignmentHeaders: Array[ASCIITableHeader]

   Alignment headers.

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  val featureHeaders: Array[ASCIITableHeader]

   Feature headers.

10.  val genotypeHeaders: Array[ASCIITableHeader]

    Genotype headers.

11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  def printAlignmentAttributes(alignments: Seq[Alignment], keys: Seq[String]): Unit

    Print attribute values for the specified alignments.

    Print attribute values for the specified alignments.

    alignments

      Sequence of alignments.

    keys

      Sequence of attribute keys.

18.  def printAlignmentAttributes(alignments: AlignmentDataset, keys: Seq[String] = Seq.empty, limit: Int = 10): Unit

    Print attribute values for alignments in the specified AlignmentDataset up to the limit.

    Print attribute values for alignments in the specified AlignmentDataset up to the limit.

    alignments

      AlignmentDataset.

    keys

      Sequence of attribute keys. Defaults to empty.

    limit

      Number of alignments to print attribute values for. Defaults to 10.

19.  def printFeatureAttributes(features: Seq[Feature], keys: Seq[String]): Unit

    Print attribute values for the specified features.

    Print attribute values for the specified features.

    features

      Sequence of features.

    keys

      Sequence of attribute keys.

20.  def printFeatureAttributes(features: FeatureDataset, keys: Seq[String] = Seq.empty, limit: Int = 10): Unit

    Print attribute values for features in the specified FeatureDataset up to the limit.

    Print attribute values for features in the specified FeatureDataset up to the limit.

    features

      FeatureDataset.

    keys

      Sequence of attribute keys. Defaults to empty.

    limit

      Number of features to print attribute values for. Defaults to 10.

21.  def printFormatFields(genotypes: Seq[Genotype], keys: Seq[String], headerLines: Seq[VCFHeaderLine]): Unit

    Print VCF FORMAT field attributes for the specified genotypes.

    Print VCF FORMAT field attributes for the specified genotypes.

    genotypes

      Sequence of genotypes.

    keys

      Sequence of VCF FORMAT field attribute keys.

    headerLines

      Sequence of VCF header lines.

22.  def printFormatFields(genotypes: GenotypeDataset, keys: Seq[String] = Seq.empty, limit: Int = 10): Unit

    Print VCF FORMAT field attributes for genotypes in the specified GenotypeDataset up to the limit.

    Print VCF FORMAT field attributes for genotypes in the specified GenotypeDataset up to the limit.

    genotypes

      GenotypeDataset.

    keys

      Sequence of VCF FORMAT field attribute keys. Defaults to empty.

    limit

      Number of genotypes to print VCF FORMAT field attribute values for. Defaults to 10.

23.  def printGenotypeFilters(genotypes: Seq[Genotype], headerLines: Seq[VCFHeaderLine]): Unit

    Print genotype filter values for the specified genotypes.

    Print genotype filter values for the specified genotypes.

    genotypes

      Sequence of genotypes.

    headerLines

      Sequence of VCF header lines.

24.  def printGenotypeFilters(genotypes: GenotypeDataset, limit: Int = 10): Unit

    Print genotype filter values for genotypes in the specified GenotypeDataset up to the limit.

    Print genotype filter values for genotypes in the specified GenotypeDataset up to the limit.

    genotypes

      GenotypeDataset.

    limit

      Number of genotypes to print genotype filter values for. Defaults to 10.

25.  def printInfoFields(variants: Seq[Variant], keys: Seq[String], headerLines: Seq[VCFHeaderLine]): Unit

    Print VCF INFO field attributes for the specified variants.

    Print VCF INFO field attributes for the specified variants.

    variants

      Sequence of variants.

    keys

      Sequence of VCF INFO field attribute keys. Defaults to empty.

    headerLines

      Sequence of VCF header lines.

26.  def printInfoFields(variants: VariantDataset, keys: Seq[String] = Seq.empty, limit: Int = 10): Unit

    Print VCF INFO field attributes for variants in the specified VariantDataset up to the limit.

    Print VCF INFO field attributes for variants in the specified VariantDataset up to the limit.

    variants

      VariantDataset.

    keys

      Sequence of VCF INFO field attribute keys. Defaults to empty.

    limit

      Number of variants to print VCF INFO field attribute values for. Defaults to 10.

27.  def printReadAttributes(reads: Seq[Read], keys: Seq[String]): Unit

    Print attribute values for the specified reads.

    Print attribute values for the specified reads.

    reads

      Sequence of reads.

    keys

      Sequence of attribute keys.

28.  def printReadAttributes(reads: ReadDataset, keys: Seq[String] = Seq.empty, limit: Int = 10): Unit

    Print attribute values for reads in the specified ReadDataset up to the limit.

    Print attribute values for reads in the specified ReadDataset up to the limit.

    reads

      ReadDataset.

    keys

      Sequence of attribute keys. Defaults to empty.

    limit

      Number of reads to print attribute values for. Defaults to 10.

29.  def printSampleAttributes(samples: Seq[Sample], keys: Seq[String] = Seq.empty): Unit

    Print attribute values for the specified samples.

    Print attribute values for the specified samples.

    samples

      Sequence of samples.

    keys

      Sequence of attribute keys. Defaults to empty.

30.  def printSequenceAttributes(sequences: Seq[Sequence], keys: Seq[String]): Unit

    Print attribute values for the specified sequences.

    Print attribute values for the specified sequences.

    sequences

      Sequence of sequences.

    keys

      Sequence of attribute keys.

31.  def printSequenceAttributes(sequences: SequenceDataset, keys: Seq[String] = Seq.empty, limit: Int = 10): Unit

    Print attribute values for sequences in the specified SequenceDataset up to the limit.

    Print attribute values for sequences in the specified SequenceDataset up to the limit.

    sequences

      SequenceDataset.

    keys

      Sequence of attribute keys. Defaults to empty.

    limit

      Number of sequences to print attribute values for. Defaults to 10.

32.  def printSliceAttributes(slices: Seq[Slice], keys: Seq[String]): Unit

    Print attribute values for the specified slices.

    Print attribute values for the specified slices.

    slices

      Sequence of slices.

    keys

      Sequence of attribute keys.

33.  def printSliceAttributes(slices: SliceDataset, keys: Seq[String] = Seq.empty, limit: Int = 10): Unit

    Print attribute values for slices in the specified SliceDataset up to the limit.

    Print attribute values for slices in the specified SliceDataset up to the limit.

    slices

      SliceDataset.

    keys

      Sequence of attribute keys. Defaults to empty.

    limit

      Number of slices to print attribute values for. Defaults to 10.

34.  def printVariantFilters(variants: Seq[Variant], headerLines: Seq[VCFHeaderLine]): Unit

    Print filter values for the specified variants.

    Print filter values for the specified variants.

    variants

      Sequence of variants to print filter values for.

    headerLines

      Sequence of VCF header lines.

35.  def printVariantFilters(variants: VariantDataset, limit: Int = 10): Unit

    Print filter values for variants in the specified VariantDataset up to the limit.

    Print filter values for variants in the specified VariantDataset up to the limit.

    variants

      VariantDataset.

    limit

      Number of variants to print filter values for. Defaults to 10.

36.  val readHeaders: Array[ASCIITableHeader]

    Read headers.

37.  val sequenceHeaders: Array[ASCIITableHeader]

    Sequence headers.

38.  val sliceHeaders: Array[ASCIITableHeader]

    Slice headers.

39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  val variantHeaders: Array[ASCIITableHeader]

    Variant headers.

42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from AnyRef

### Inherited from Any

### Ungrouped